/home/travis/build/boostorg/boost/boost/geometry/algorithms/detail/distance/interface.hpp File Reference

## Classes

struct | boost::geometry::resolve_strategy::distance
struct | boost::geometry::resolve_variant::distance< Geometry1, Geometry2 >
struct | boost::geometry::resolve_variant::distance< boost::variant< BOOST_VARIANT_ENUM_PARAMS(T1)>, boost::variant< BOOST_VARIANT_ENUM_PARAMS(T2)> >
struct | boost::geometry::resolve_variant::distance< boost::variant< BOOST_VARIANT_ENUM_PARAMS(T1)>, boost::variant< BOOST_VARIANT_ENUM_PARAMS(T2)> >::visitor< Strategy >
struct | boost::geometry::resolve_variant::distance< Geometry1, variant< BOOST_VARIANT_ENUM_PARAMS(T)> >
struct | boost::geometry::resolve_variant::distance< Geometry1, variant< BOOST_VARIANT_ENUM_PARAMS(T)> >::visitor< Strategy >
struct | boost::geometry::resolve_variant::distance< variant< BOOST_VARIANT_ENUM_PARAMS(T)>, Geometry2 >
struct | boost::geometry::resolve_variant::distance< variant< BOOST_VARIANT_ENUM_PARAMS(T)>, Geometry2 >::visitor< Strategy >

## Namespaces

namespace | boost
namespace | boost::geometry
namespace | boost::geometry::resolve_strategy
namespace | boost::geometry::resolve_variant

## Functions

template<typename Geometry1 , typename Geometry2 , typename Strategy >
distance_result< Geometry1, Geometry2, Strategy >::type | boost::geometry::distance (Geometry1 const &geometry1, Geometry2 const &geometry2, Strategy const &strategy)
| Calculate the distance of two geometries using the specified strategy.
template<typename Geometry1 , typename Geometry2 >
default_distance_result < Geometry1, Geometry2 >::type | boost::geometry::distance (Geometry1 const &geometry1, Geometry2 const &geometry2)
| Calculate the distance of two geometries.

April 2, 2011 | Copyright © 2007-2011 Barend Gehrels, Amsterdam, the Netherlands Copyright © 2008-2011 Bruno Lalande, Paris, France Copyright © 2009-2010 Mateusz Loskot, London, UK